Skip to main content
GET
/
stocks
List equity securities held by funds
curl --request GET \
  --url https://mkk.celebi.me/api/stocks
{
  "total": 123,
  "limit": 123,
  "offset": 123,
  "stocks": [
    {
      "key": "<string>",
      "security": "<string>",
      "issuer": "<string>",
      "isin": "<string>",
      "sections": [
        "<string>"
      ],
      "entry_count": 123,
      "document_count": 123,
      "fund_count": 123,
      "latest_holder_count": 123,
      "latest_market_value": 123,
      "average_weight": 123,
      "max_weight": 123,
      "latest_period": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.mkk.celebi.me/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

q
string

Text search query.

limit
integer

Maximum number of stocks to return.

Required range: 1 <= x <= 1000
offset
integer

Number of rows to skip.

Required range: x >= 0

Response

200 - application/json

Paged stock list aggregated from equity portfolio sections.

total
integer
required
limit
integer
required
offset
integer
required
stocks
object[]
required